Project

General

Profile

Bug #5225

Coverage blowing up

Added by aselder (Andrew Selder) about 8 years ago. Updated about 8 years ago.

Status:
Closed
Priority:
Normal
Target version:
-
ruby -v:
1.9.2-p290
Backport:
[ruby-core:39089]

Description

I just ran into a situation where the coverage tool in Ruby 1.9 is blowing up

It's a fairly easily reproducible test case:
Start irb, require 'coverage', Coverage.start, require 'eBayAPI', boom

The internal VM bug report can be seen in this Gist: https://gist.github.com/1168728

System Specs (OS X 10.7, Ruby 1.9.2-p290 via rvm, eBay gem v 1.1)

History

Updated by mame (Yusuke Endoh) about 8 years ago

  • Status changed from Open to Closed
  • Assignee set to mame (Yusuke Endoh)

Thank you for your report.

I have just fixed this bug yesterday. (r33030)
The patch is already backported into ruby_1_9_2.
So, please wait for 1.9.3 or the next patch release of 1.9.2.
Sorry for the inconvenience.

--
Yusuke Endoh mame@tsg.ne.jp

Also available in: Atom PDF